Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

Update a webhook endpoint

PUT/webhooks/update
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Request body
requiredapplication/json
idstringrequired
namestring
urlstring<uri>
eventsstring[]
descriptionstring
statusWebhookStatus
Allowed:activepauseddisabled
Responses
200

Updated

successbooleanrequired
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

404

Resource not found

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X PUT "https://api.seal.nyc/api/v1/webhooks/update" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "string",
  "name": "string",
  "url": "http://example.com",
  "events": [
    "string"
  ],
  "description": "string",
  "status": "active"
}'
Response
{
  "success": true
}